#include <opengl-playground/openglgraphics.hpp>



OpenGlGraphics::OpenGlGraphics(std::shared_ptr<OpenGlShaderProgram>shader_prog)
{
	this->shaderprog = shader_prog;
	this->setModelMatrix(glm::mat4(1.0f));
}

OpenGlGraphics::~OpenGlGraphics()
{

}

void OpenGlGraphics::setModelMatrix(const glm::mat4 &model_matrix)
{
	this->model_matrix = model_matrix;
}

glm::mat4 OpenGlGraphics::getModelMatrix()
{
	return this->model_matrix;
}
